SAGA_CMD(1)

NAME
saga_cmd - command-line interface to the System for Automated Geoscientific Analyses

SYNOPSIS
saga_cmd [-h, --help]

saga_cmd [-v, --version]

saga_cmd [-C, --config][=#][-s, --story][=#][-c, --cores][=#][-f, --flags][=#] <LIBRARY> [<TOOL>] [<OPTIONS>]

saga_cmd [-C, --config][=#][-s, --story][=#][-c, --cores][=#][-f, --flags][=#] <SCRIPT>

saga_cmd --create-config[=file]
   Create a default configuration file. If no file name is specified
   it will use 'saga_cmd.ini'.

saga_cmd --create-batch[=file]
   Create a batch script file example.

saga_cmd --create-docs[=directory]
   Create tool documentation in current working directory, if no
   other directory is given.

DESCRIPTION
SAGA GIS (System for Automated Geoscientific Analysis) is a free and open source geographic information system used for editing and analysing spatial data. It includes a large number of tools for the analysis of vector, table, grid and image data.

The SAGA command line interpreter is particularly useful for the processing of complex work flows by defining a series of subsequent tool calls in a script file. Calling saga_cmd with the option '--create-batch' will create an example of a DOS batch script file, which might be a good starting point for the implementation of your own specific work flows.

When run without arguments, the tool libraries found in the SAGA installation directory (e.g. /usr/lib/saga) will be loaded automatically. Additional directories can be specified by adding the environment variable 'SAGA_TLB' and let it point to one or more directories, just the way it is done with the DOS 'PATH' variable.

OPTIONS

LIBRARY [TOOL] [OPTIONS]
    Specify the library (e.g. ta_morphometry) and the tool (number or name). If no tool is specified the different tools of a library are listed.

SCRIPT
    Saga cmd script file with one or more tool calls

-h, --help
    Help on usage

-v, --version
    Version information

-s, --story
    Maximum data history depth (default is unlimited)

-C, --config
    Configuration file (default is 'saga_cmd.ini')

-c, --cores
    Number of physical processors to use for computation

-f, --flags
    Various flags for general usage [qrsilxo]

    q No progress report
    r No messages report
    s Silent mode (no progress and no messages report)
    i Allow user interaction
    l Load translation dictionary
    x Use XML markups for synopses and messages
    o Load old style naming

--create-config
    Create a default configuration file. If no file name is specified it will use 'saga_cmd.ini'

--create-batch
    Create batch file examples in the current working directory

--create-docs
    Create tool documentation in the current working directory

EXAMPLE
export SAGA_TLB=/usr/lib/saga

saga_cmd ta_lighting "Analytical Hillshading" -ELEVATION=c:\dem.sg-grd -SHADE=c:\shade.sg-grd

Multiple input files can be specified by separating them by a semicolon (;).

saga_cmd grid_tools Mosaicking -GRIDS test1.sg-grd;test2.sg-grd -TARGET_OUT_GRID merged.sg-grd

BUGS
On the website of http://www.saga-gis.org, a list of known bugs can be found and new bug reports can be submitted.

AUTHORS
SAGA was written by Olaf Conrad with help from a large number of contributors. This manual page was written by Johan Van de Wauw and updated by Rainer Hurling. Both are released under the GNU General Public License v2.

More info http://www.saga-gis.org